"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _nativewind = require("nativewind");
var _ElevatedCard = _interopRequireDefault(require("../../../shared/components/ElevatedCard/ElevatedCard"));
var _themed = require("@rneui/themed");
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const AccuracyCard = ({
  rightData,
  leftData,
  title,
  icon,
  ...props
}) => /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, _extends({}, props, {
  className: "p-4",
  component: _ElevatedCard.default
}), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
  className: "flex flex-1 flex-col justify-between",
  component: _reactNative.View
}, /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
  className: "flex flex-row flex-wrap items-center",
  component: _reactNative.View
}, /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
  className: "w-fit pr-1",
  component: _reactNative.View
}, /*#__PURE__*/_react.default.createElement(_themed.Icon, {
  name: icon,
  type: "material",
  color: "#155873",
  size: 16,
  solid: false
})), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
  className: "flex-1 font-semibold text-sm text-[#373737]",
  component: _reactNative.Text
}, title), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
  className: "font-normal italic text-[10px] text-right",
  component: _reactNative.Text
}, "26/10/23")), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
  className: "flex flex-row flex-1 justify-between",
  component: _reactNative.View
}, /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
  className: "mt-3 basis-2/5",
  component: _reactNative.View
}, /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
  className: "font-normal text-xs text-[#373737]",
  component: _reactNative.Text
}, leftData.title), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
  className: "flex flex-row gap-x-1 items-center",
  component: _reactNative.View
}, /*#__PURE__*/_react.default.createElement(_themed.Icon, {
  name: leftData.icon,
  type: "material",
  color: "rgba(244, 67, 54, 1)",
  size: 24,
  solid: false
}), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
  className: "font-bold text-3xl text-[#F44336]",
  component: _reactNative.Text
}, leftData.number)), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
  className: "font-normal text-[10px] text-[#373737]",
  component: _reactNative.Text
}, leftData.description)), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
  className: "mt-3",
  component: _reactNative.View
}, /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
  className: "font-normal text-xs text-[#373737]",
  component: _reactNative.Text
}, rightData.title), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
  className: "flex flex-row gap-x-1 items-center",
  component: _reactNative.View
}, /*#__PURE__*/_react.default.createElement(_themed.Icon, {
  name: rightData.icon,
  type: "material",
  color: "rgba(76, 175, 80, 1)",
  size: 24,
  solid: false
}), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
  className: "font-bold text-3xl text-[#373737]",
  component: _reactNative.Text
}, rightData.number)), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
  className: "font-normal text-[10px] text-[#373737]",
  component: _reactNative.Text
}, rightData.description)))));
var _default = exports.default = AccuracyCard;
_nativewind.NativeWindStyleSheet.create({
  styles: {
    "mt-3": {
      "marginTop": 12
    },
    "flex": {
      "display": "flex"
    },
    "flex-1": {
      "flexGrow": 1,
      "flexShrink": 1,
      "flexBasis": "0%"
    },
    "basis-2/5": {
      "flexBasis": "40%"
    },
    "flex-row": {
      "flexDirection": "row"
    },
    "flex-col": {
      "flexDirection": "column"
    },
    "flex-wrap": {
      "flexWrap": "wrap"
    },
    "items-center": {
      "alignItems": "center"
    },
    "justify-between": {
      "justifyContent": "space-between"
    },
    "p-4": {
      "paddingTop": 16,
      "paddingRight": 16,
      "paddingBottom": 16,
      "paddingLeft": 16
    },
    "pr-1": {
      "paddingRight": 4
    },
    "text-right": {
      "textAlign": "right"
    },
    "font-bold": {
      "fontWeight": "700"
    },
    "font-normal": {
      "fontWeight": "400"
    },
    "font-semibold": {
      "fontWeight": "600"
    },
    "italic": {
      "fontStyle": "italic"
    },
    "text-[#373737]": {
      "color": "#373737"
    },
    "text-[#F44336]": {
      "color": "#F44336"
    },
    "gap-x-1": {
      "marginLeft": -4
    },
    "gap-x-1.children@0": {
      "marginLeft": 4
    },
    "text-3xl": {
      "fontSize": 30,
      "lineHeight": 36
    },
    "text-[10px]": {
      "fontSize": 10
    },
    "text-sm": {
      "fontSize": 14,
      "lineHeight": 20
    },
    "text-xs": {
      "fontSize": 12,
      "lineHeight": 16
    }
  },
  atRules: {
    "gap-x-1.children": [[["selector", "(> *)"]]]
  },
  childClasses: {
    "gap-x-1": ["gap-x-1.children"]
  }
});