"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _nativewind = require("nativewind");
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _AccuracyCard = _interopRequireDefault(require("./AccuracyCard"));
var _AnimalsNumberCard = _interopRequireDefault(require("./AnimalsNumberCard"));
var _OxQuoteCard = _interopRequireDefault(require("./OxQuoteCard"));
var _SalerProjectionCard = _interopRequireDefault(require("./SalerProjectionCard"));
var _WeatherCard = _interopRequireDefault(require("./WeatherCard"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const DashboardPage = () => {
  const accuracyCardProps = [{
    leftData: {
      description: "em relação aos 5 dias anteriores (17/10 a 21/10).",
      icon: "show-chart",
      number: "8%",
      title: "Queda últimos 5 dias"
    },
    rightData: {
      description: "dos currais",
      icon: "check-circle",
      number: "85",
      title: "Atingiram a exatidão"
    },
    title: "Exatidão da distribuição por dia",
    icon: "local-shipping"
  }, {
    leftData: {
      description: "em relação aos 5 dias anteriores (17/10 a 21/10).",
      icon: "show-chart",
      number: "22%",
      title: "Queda últimos 5 dias"
    },
    rightData: {
      description: "dos carregamentos",
      icon: "check-circle",
      number: "85",
      title: "Atingiram a exatidão"
    },
    title: "Exatidão do carregamento",
    icon: "agriculture"
  }];
  return /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, null, /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "p-6 flex flex-row flex-wrap gap-x-4 gap-y-6",
    component: _reactNative.View
  }, /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "flex-1",
    component: _WeatherCard.default
  }), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "flex-1",
    component: _OxQuoteCard.default
  }), accuracyCardProps.map(({
    icon,
    leftData,
    rightData,
    title
  }) => /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "flex-1 basis-full",
    icon: icon,
    leftData: leftData,
    rightData: rightData,
    title: title,
    key: title,
    component: _AccuracyCard.default
  })), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "flex-1 basis-full",
    component: _AnimalsNumberCard.default
  }), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "flex-1 basis-full",
    component: _SalerProjectionCard.default
  })));
};
var _default = exports.default = DashboardPage;
_nativewind.NativeWindStyleSheet.create({
  styles: {
    "flex": {
      "display": "flex"
    },
    "flex-1": {
      "flexGrow": 1,
      "flexShrink": 1,
      "flexBasis": "0%"
    },
    "basis-full": {
      "flexBasis": "100%"
    },
    "flex-row": {
      "flexDirection": "row"
    },
    "flex-wrap": {
      "flexWrap": "wrap"
    },
    "p-6": {
      "paddingTop": 24,
      "paddingRight": 24,
      "paddingBottom": 24,
      "paddingLeft": 24
    },
    "gap-x-4": {
      "marginLeft": -16
    },
    "gap-x-4.children@0": {
      "marginLeft": 16
    },
    "gap-y-6": {
      "marginTop": -24
    },
    "gap-y-6.children@0": {
      "marginTop": 24
    }
  },
  atRules: {
    "gap-x-4.children": [[["selector", "(> *)"]]],
    "gap-y-6.children": [[["selector", "(> *)"]]]
  },
  childClasses: {
    "gap-x-4": ["gap-x-4.children"],
    "gap-y-6": ["gap-y-6.children"]
  }
});