"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _nativewind = require("nativewind");
var _ElevatedCard = _interopRequireDefault(require("../../../shared/components/ElevatedCard/ElevatedCard"));
var _themed = require("@rneui/themed");
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const SalerProjectionCard = props => {
  const currentMonth = {
    quantity: "1.758",
    icon: "show-chart",
    title: "Previsto vender em Nov",
    meta: 65
  };
  const nextMonth = {
    quantity: "2.421",
    icon: "show-chart",
    title: "Previsto vender em Jan",
    meta: 98
  };
  return /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, _extends({}, props, {
    className: "p-4",
    component: _ElevatedCard.default
  }), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "flex flex-1 flex-col justify-between",
    component: _reactNative.View
  }, /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "flex flex-row flex-wrap items-center",
    component: _reactNative.View
  }, /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "w-fit pr-1",
    component: _reactNative.View
  }, /*#__PURE__*/_react.default.createElement(_themed.Icon, {
    name: "confirmation-number",
    type: "material",
    color: "#14A0B7",
    size: 16,
    solid: false
  })), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "flex-1 font-semibold text-sm text-[#373737]",
    component: _reactNative.Text
  }, "Proje\xE7\xE3o de vendas - Pasto"), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "font-normal italic text-[10px] text-right",
    component: _reactNative.Text
  }, "26/10/23")), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "flex flex-row flex-1 justify-between",
    component: _reactNative.View
  }, [currentMonth, nextMonth].map(({
    icon,
    quantity,
    title,
    meta
  }) => /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    key: title,
    className: "mt-3 flex-1 basis-1/2 flex-col flex-wrap",
    component: _reactNative.View
  }, /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "font-medium text-xs text-[#373737B2]",
    component: _reactNative.Text
  }, title, ":"), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "flex flex-row items-end mt-2",
    component: _reactNative.View
  }, /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "pl-1 font-medium text-3xl text-[#373737]",
    component: _reactNative.Text
  }, quantity), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "text-sm pl-1",
    component: _reactNative.Text
  }, "animais")), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "flex flex-row items-center",
    component: _reactNative.View
  }, /*#__PURE__*/_react.default.createElement(_themed.Icon, {
    name: icon,
    type: "material",
    color: "#14A0B7",
    size: 28,
    solid: false
  }), /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
    className: "font-normal text-xs",
    component: _reactNative.Text
  }, "Meta ficara em: ", meta, "%")))))));
};
var _default = exports.default = SalerProjectionCard;
_nativewind.NativeWindStyleSheet.create({
  styles: {
    "mt-2": {
      "marginTop": 8
    },
    "mt-3": {
      "marginTop": 12
    },
    "flex": {
      "display": "flex"
    },
    "flex-1": {
      "flexGrow": 1,
      "flexShrink": 1,
      "flexBasis": "0%"
    },
    "basis-1/2": {
      "flexBasis": "50%"
    },
    "flex-row": {
      "flexDirection": "row"
    },
    "flex-col": {
      "flexDirection": "column"
    },
    "flex-wrap": {
      "flexWrap": "wrap"
    },
    "items-end": {
      "alignItems": "flex-end"
    },
    "items-center": {
      "alignItems": "center"
    },
    "justify-between": {
      "justifyContent": "space-between"
    },
    "p-4": {
      "paddingTop": 16,
      "paddingRight": 16,
      "paddingBottom": 16,
      "paddingLeft": 16
    },
    "pl-1": {
      "paddingLeft": 4
    },
    "pr-1": {
      "paddingRight": 4
    },
    "text-right": {
      "textAlign": "right"
    },
    "font-medium": {
      "fontWeight": "500"
    },
    "font-normal": {
      "fontWeight": "400"
    },
    "font-semibold": {
      "fontWeight": "600"
    },
    "italic": {
      "fontStyle": "italic"
    },
    "text-[#373737B2]": {
      "color": "#373737B2"
    },
    "text-[#373737]": {
      "color": "#373737"
    },
    "text-3xl": {
      "fontSize": 30,
      "lineHeight": 36
    },
    "text-[10px]": {
      "fontSize": 10
    },
    "text-sm": {
      "fontSize": 14,
      "lineHeight": 20
    },
    "text-xs": {
      "fontSize": 12,
      "lineHeight": 16
    }
  }
});