"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IndicatorMenuService = void 0;
var _result = require("../../../../shared/model/result");
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
class IndicatorMenuService {
  constructor(_repo) {
    this._repo = _repo;
    _defineProperty(this, "getIndicatorMenu", async () => {
      try {
        const result = new _result.Result(await Promise.all([this._repo.getPastureIndicatorMenu(), this._repo.getLockdownIndicatorMenu(), this._repo.getGeneralIndicatorMenu()]), null);
        return result;
      } catch (error) {
        if (error instanceof Error) {
          return new _result.Result(null, new Error(error.message));
        }
        return new _result.Result(null, new Error("Error on getting menu items"));
      }
    });
  }
}
exports.IndicatorMenuService = IndicatorMenuService;