"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _nativewind = require("nativewind");
var _native = require("@react-navigation/native");
var _result = require("../../../shared/model/result");
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _IndicatorSectionType = _interopRequireDefault(require("./IndicatorSectionType"));
var _useIndicatorsPage = require("./hooks/useIndicatorsPage");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const IndicatorsPage = () => {
  const {
    getIndicatorMenuSections
  } = (0, _useIndicatorsPage.useIndicatorsPage)();
  const [menuSection, setMenuSection] = (0, _react.useState)(new _result.Result(null, null));
  (0, _native.useFocusEffect)(_react.default.useCallback(() => {
    getIndicatorMenuSections().then(setMenuSection);
  }, [getIndicatorMenuSections]));
  if (menuSection.result) {
    return /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, null, menuSection.result.map(section => /*#__PURE__*/_react.default.createElement(_nativewind.StyledComponent, {
      className: "mb-1",
      key: section.name,
      component: _reactNative.View
    }, /*#__PURE__*/_react.default.createElement(_IndicatorSectionType.default, {
      cardItem: section.items,
      name: section.name
    }))));
  }
  if (menuSection.errorMessage) {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, menuSection.errorMessage?.message));
  }
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Loading"));
};
var _default = exports.default = IndicatorsPage;
_nativewind.NativeWindStyleSheet.create({
  styles: {
    "mb-1": {
      "marginBottom": 4
    }
  }
});