"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useIndicatorsPage = void 0;
var _useIndicatorMenuService = require("../../data/hooks/useIndicatorMenuService");
var _useToastErrorMessage = require("../../../../shared/hooks/useToastErrorMessage");
var _react = require("react");
const useIndicatorsPage = () => {
  const indicatorMenuService = (0, _useIndicatorMenuService.useIndicatorMenuService)();
  const showToastError = (0, _useToastErrorMessage.useToastErrorMessage)();
  const getIndicatorMenuSections = (0, _react.useCallback)(async () => {
    const items = await indicatorMenuService.getIndicatorMenu();
    if (items.errorMessage) {
      showToastError(items.errorMessage.message);
    }
    return items;
  }, [showToastError, indicatorMenuService]);
  return {
    getIndicatorMenuSections
  };
};
exports.useIndicatorsPage = useIndicatorsPage;